From: Robin Roevens <robin.roevens@disroot.org>
To: development@lists.ipfire.org
Subject: [PATCH v4 5/6] zabbix_agentd: By default only listen on GREEN ip
Date: Thu, 03 Mar 2022 22:02:53 +0100 [thread overview]
Message-ID: <20220303210254.3116-6-robin.roevens@disroot.org> (raw)
In-Reply-To: <20220303210254.3116-1-robin.roevens@disroot.org>
[-- Attachment #1: Type: text/plain, Size: 1807 bytes --]
- Change zabbix_agentd.conf during install to only listen on the
GREEN ip by default.
Signed-off-by: Robin Roevens <robin.roevens(a)disroot.org>
---
config/zabbix_agentd/zabbix_agentd.conf | 3 +++
src/paks/zabbix_agentd/install.sh | 10 ++++++++++
2 files changed, 13 insertions(+)
diff --git a/config/zabbix_agentd/zabbix_agentd.conf b/config/zabbix_agentd/zabbix_agentd.conf
index 76cd87528..a12fe3a60 100644
--- a/config/zabbix_agentd/zabbix_agentd.conf
+++ b/config/zabbix_agentd/zabbix_agentd.conf
@@ -13,6 +13,9 @@
Server=127.0.0.1
ServerActive=127.0.0.1
+# List of comma delimited IP addresses that the agent should listen on.
+ListenIP=GREEN_ADDRESS
+
# This line activates IPFire specific userparameters. See IPFire wiki for details.
# To deactivate them: Comment this line out.
# (DO NOT REMOVE OR ALTER IT as then it will be re-added on next upgrade)
diff --git a/src/paks/zabbix_agentd/install.sh b/src/paks/zabbix_agentd/install.sh
index d9130dfb4..a64d4c84f 100644
--- a/src/paks/zabbix_agentd/install.sh
+++ b/src/paks/zabbix_agentd/install.sh
@@ -76,4 +76,14 @@ if [ $? -eq 1 ]; then
echo "Include=/var/ipfire/zabbix_agentd/zabbix_agentd_ipfire_mandatory.conf" >> /etc/zabbix_agentd/zabbix_agentd.conf
fi
+# By default, only listen on GREEN
+(
+ eval $(/usr/local/bin/readhash /var/ipfire/ethernet/settings)
+ if [ -n "${GREEN_ADDRESS}" ]; then
+ sed -i -e "s|ListenIP=GREEN_ADDRESS|ListenIP=${GREEN_ADDRESS}|g" /etc/zabbix_agentd/zabbix_agentd.conf
+ else
+ sed -i -e "\|ListenIP=GREEN_ADDRESS|d" /etc/zabbix_agentd/zabbix_agentd.conf
+ fi
+) || :
+
start_service --background ${NAME}
--
2.34.1
--
Dit bericht is gescanned op virussen en andere gevaarlijke
inhoud door MailScanner en lijkt schoon te zijn.
next prev parent reply other threads:[~2022-03-03 21:02 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-03-03 21:02 [PATCH v4 0/6] zabbix_agentd: Update to v5.0.21 (LTS) Robin Roevens
2022-03-03 21:02 ` [PATCH v4 1/6] " Robin Roevens
2022-03-03 21:02 ` [PATCH v4 2/6] zabbix_agentd: Fix agent modules dir and few minor bugs Robin Roevens
2022-03-03 21:02 ` [PATCH v4 3/6] zabbix_agentd: Configfile reorganization Robin Roevens
2022-03-03 21:02 ` [PATCH v4 4/6] zabbix_agentd: Sudoers file reorganization Robin Roevens
2022-03-03 21:02 ` Robin Roevens [this message]
2022-03-03 21:02 ` [PATCH v4 6/6] zabbix_agentd: Add IPFire specific userparameters Robin Roevens
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20220303210254.3116-6-robin.roevens@disroot.org \
--to=robin.roevens@disroot.org \
--cc=development@lists.ipfire.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox